import { View } from 'react-native';
import MultiStepForm from '../../component/registrationMultiStepForm/multi_step_form';
import { GoTestPageBTN } from '../../component/test/page';
import {
    EXPO_PUBLIC_NODE_ENV,
    EXPO_PUBLIC_API_URL,
} from '@env';

export default function LoginPage() {
    const isDev = () => EXPO_PUBLIC_NODE_ENV == 'development';

    console.log('-'.repeat(33));
    console.log(EXPO_PUBLIC_NODE_ENV);
    console.log(EXPO_PUBLIC_API_URL);
    console.log('-'.repeat(33));

    return (
        <View className={`flex-1 ${isDev() ? 'relative' : ''}`}>
            {isDev() && <GoTestPageBTN />}
            <MultiStepForm />
        </View>
    );
}
